Page MenuHomePhabricator

using efl_data_scope_get instead of using 'self' object
ClosedPublic

Authored by Blackmole on Aug 25 2017, 3:04 AM.

Details

Summary

Using efl_data_scope_get to get Efl_Ui_Popup_Data structure,
there is no reason using "self" object in Efl_Ui_Popup_Data

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Blackmole created this revision.Aug 25 2017, 3:04 AM
Blackmole updated this revision to Diff 12091.Aug 25 2017, 3:32 AM
This comment was removed by Blackmole.
cedric accepted this revision.EditedAug 29 2017, 4:19 PM

Ok, in this we are trading small cpu usage for slightly lower memory usage and cleaner code I think. Will push when doable.

This revision is now accepted and ready to land.Aug 29 2017, 4:19 PM
jpeg requested changes to this revision.Sep 19 2017, 1:28 AM

Meh. Not very useful. We use this "self" pattern quite often and it's convenient.
Using efl_data_scope_safe_get for safety would make sense, but as is this patch is not meaningful. Also it doesn't apply.

src/lib/elementary/efl_ui_popup.c
35

Using efl_data_scope_safe_get here would give this patch some value.

This revision now requires changes to proceed.Sep 19 2017, 1:28 AM
jpeg added a comment.Nov 8 2017, 8:31 PM

Please abandon.

This revision was automatically updated to reflect the committed changes.